Which JDKs will EAP 8 Support?

Solution Verified - Updated -

Issue

  • According to the EAP 7.4 Beta release notes Red Hat is deprecating JDK 8. Will Red Hat still support JDK 8 in EAP 8?
  • Will JDK 11 be supported in EAP 8?
  • Will JDK 17 be supported in EAP 8?

Environment

  • Red Hat JBoss Enterprise Application Platform (EAP)
    • Post EAP 7.4+
    • 8.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content